-dontpreverify
-optimizations code/removal/simple,code/removal/advanced

-dontwarn cluifyshaded.**
-dontnote cluifyshaded.**
-dontwarn android.**
-dontnote android.**
-dontwarn com.cluify.android.**
-dontnote com.cluify.android.**
-dontwarn java.**
-dontnote java.**
-dontwarn javax.net.**
-dontnote javax.net.**
-dontwarn org.json.**
-dontnote org.json.**
-dontwarn com.google.android.**
-dontnote com.google.android.**
-dontwarn com.google.gson.**
-dontnote com.google.gson.**

-keep class cluifyshaded.** { *; }
-keep interface cluifyshaded.** { *; }
-keep class com.cluify.android.model.Gender { public *; }
-keep class com.cluify.android.model.Male { public *; }
-keep class com.cluify.android.model.Female { public *; }
-keep class com.cluify.android.model.Male$ { public *; }
-keep class com.cluify.android.model.Female$ { public *; }
-keep class com.cluify.android.demography.DemographyTask { public *; }
-keep class com.cluify.android.election.ElectionReceiver { public *; }
-keep class com.cluify.android.election.Vote { public *; }
-keep class com.cluify.android.api.SSLContextFactory { public *; }
-keep class com.cluify.android.api.SSLContextFactory$ { public *; }
-keep class com.cluify.android.BootAndUpdateReceiver { public *; }
-keep class com.cluify.android.BootAndUpdateReceiver { public *; }
-keep class com.cluify.android.CluifyDispatcher { public *; }
-keep class com.cluify.android.CluifyIntents { public *; }
-keep class com.cluify.android.CluifyService { public *; }
-keep class com.cluify.android.CluifyManager { public *; }
-keep class cluifyshaded.retrofit2.** { *; }
-keep public interface cluifyshaded.scala.ScalaObject
-keep class cluifyshaded.scala.collection.SeqLike { public protected *; }
-keep public interface cluifyshaded.scala.Serializable
-keep public class cluifyshaded.scala.reflect.ScalaSignature
-keep public class cluifyshaded.scala.collection.JavaConversions
-keep public interface cluifyshaded.scala.ScalaObject
-keep class * implements cluifyshaded.android.os.Parcelable { public static final android.os.Parcelable$Creator *; }
-keep class com.google.android.gms.location.** { *; }
-keepattributes Signature
-keepattributes Exceptions
-keepattributes *Annotation*
-keepclasseswithmembers class * { @cluifyshaded.retrofit2.http.* <methods>; }
-keepclassmembers class com.cluify.android.** { *; }
-keepclassmembers class * extends java.lang.Enum {
    <fields>;
    public static **[] values();
    public static ** valueOf(java.lang.String);
 }
-keepclassmembers class * {
    public java.lang.String toString();
}
-keepclasseswithmembernames class * {native <methods>;}
-keepnames class * implements java.io.Serializable
-keepclassmembers class * implements java.io.Serializable {
    static final long serialVersionUID;
    private static final java.io.ObjectStreamField[] serialPersistentFields;
    !static !transient <fields>;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}
-assumenosideeffects class android.util.Log { *; }
